function outputArg1 = farfield(M,P,km,evs,m)
%farfield(M,P,km) Summary of this function goes here
%  This function generate the far field approximation of the 
%    integral representation formula.
% M is the receiver point 
% P is the source center
% phipp=-1/(km*cos(theta)^2); 
x=abs(M(1)-P(1)); 
y=abs(M(2)-P(2));
r=sqrt(x^2+y^2);

% outputArg1=1/sqrt(2*pi)*x*exp(1i*km*r-1i*pi/4)/sqrt(r^3);
outputArg1=1/sqrt(2*pi)*x*evs(m)*exp(1i*km*r-1i*pi/4)/sqrt(r^3);

end

