function dataCombined = readFile(filename)
    % Ouvrir le fichier en lecture
     fid = fopen(filename, 'r');
     if fid == -1
        error('Impossible d''ouvrir le fichier.');
        message=filename
    end
        % Initialiser le tableau pour stocker les donnes
    data = [];

    % Lire le fichier ligne par ligne
    while ~feof(fid)
        % Lire une ligne du fichier
        line = fgetl(fid);

        % Utiliser la fonction 'regexp' pour extraire les nombres complexes de la ligne
        complex_numbers = regexp(line, '[-+]?\d*\.?\d+([eE][-+]?\d+)?', 'match');

        % Convertir les chanes de caractres en nombres complexes
        complex_data = str2double(complex_numbers);

        % Ajouter les nombres complexes  la matrice de donnes
        data = [data; complex_data];
    end

    % Fermer le fichier
    fclose(fid);

    % Diviser les donnes en trois colonnes (a, b, c)
    dataCombined=ones(size(data,1),3);
    for i=1:3
        dataCombined(:,i)=data(:,2*(i-1)+1)+1i*data(:,2*(i-1)+2); 
    end
end
